org.jgroups.protocols

## Class STOMP.Frame

- java.lang.Object
- - org.jgroups.protocols.STOMP.Frame

- Enclosing class:
    STOMP

      public static class STOMP.Frame
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STOMP.Frame(java.lang.String verb, java.util.Map<java.lang.String,java.lang.String> headers, byte[] body)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBody()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getHeaders()`
    `java.lang.String` | `getVerb()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### STOMP.Frame

          public STOMP.Frame(java.lang.String verb,
                     java.util.Map<java.lang.String,java.lang.String> headers,
                     byte[] body)

  - ### Method Detail

    - #### getBody

          public byte[] getBody()

    - #### getHeaders

          public java.util.Map<java.lang.String,java.lang.String> getHeaders()

    - #### getVerb

          public java.lang.String getVerb()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.